Bug 620604 - No manual provisioning (remove take), Provision tab changes to Queue reservation.
Summary: No manual provisioning (remove take), Provision tab changes to Queue reservat...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
medium vote
Target Milestone: 0.5.56
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 00:45 UTC by Raymond Mancy
Modified: 2015-05-04 03:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 00:11:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Raymond Mancy 2010-08-03 00:45:16 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=548807

Comment 1 Marian Csontos 2010-08-03 05:28:46 UTC
Will this remove the ability to provision machine several times in a row with different distro/..., e.g. when investigating a bug?

Yes, I have heard of snake workflow and Loan. Are these sufficient replacement for the feature to be removed?

Comment 2 Raymond Mancy 2010-08-11 23:31:43 UTC
The provisioning of a system via the provision tab, would be subject to queueing (with this change).

You could still provision the machine several times with different distros. However it may not be an immediate appropriation of the machine, as you would be subject to the whole queueing process.

So, if you are needing to investigate a bug or somesuch, you could take the machine out of the 'Automated' status (https://bugzilla.redhat.com/show_bug.cgi?id=620605) so that it's not being picked up by other jobs. Or of course you could have it Loaned to you.

I'm not familiar enough with the snake workflow.

Comment 3 Raymond Mancy 2010-08-11 23:32:27 UTC
Change Provision tab to Schedule tab, except for Admin, who always have a provision tab.

Comment 4 Raymond Mancy 2010-08-25 13:56:55 UTC
apologies everyone, bumping back to 0.5.56


Note You need to log in before you can comment on or make changes to this bug.